Bug 1698130 - removing audit.rpm doesn't stop auditd
Summary: removing audit.rpm doesn't stop auditd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-09 16:19 UTC by Lennart Poettering
Modified: 2019-07-03 02:00 UTC (History)
1 user (show)

Fixed In Version: audit-3.0-0.9.20190507gitf58ec40.fc30 audit-3.0-0.9.20190507gitf58ec40.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:25:23 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2019-04-09 16:19:35 UTC
Currently, if you remove audit.rpm, then auditd remains running which means systemd will show the service as running but without a unit file. audit.rpm really should stop auditd when it is installed.

Comment 1 Steve Grubb 2019-04-09 17:52:31 UTC
Added some code to %preun to stop it. If fedpkg worked on F29, I'd push it through the build system.

Comment 2 Fedora Update System 2019-06-10 20:48:23 UTC
FEDORA-2019-a7b56cc872 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7b56cc872

Comment 3 Fedora Update System 2019-06-11 01:19:41 UTC
audit-3.0-0.9.20190507gitf58ec40.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-caa00da046

Comment 4 Fedora Update System 2019-06-11 01:45:49 UTC
audit-3.0-0.9.20190507gitf58ec40.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7b56cc872

Comment 5 Fedora Update System 2019-06-25 01:25:23 UTC
audit-3.0-0.9.20190507gitf58ec40.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-03 02:00:56 UTC
audit-3.0-0.9.20190507gitf58ec40.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.